Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class GetCalendarEntries

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.GetCalendarEntries

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetCalendarEntriesResult>, net.customware.gwt.dispatch.shared.Action<GetCalendarEntriesResult>

    public class GetCalendarEntries

extends java.lang.Object
implements OSAction<GetCalendarEntriesResult>

Returns the entries from the identified Calendar that fall within the given date range. For Recurring Exclusions, the occurrences that fall within the given date range will also be included.

©2012 TIBCO Software Inc.

Since:
  2.0

Constructor Summary
`GetCalendarEntries(java.lang.String name, java.lang.String nameSpace, CalendarDay startDate, CalendarDay endDate)` Returns the entries from the identified Calendar that fall within the given date range.

Method Summary
`CalendarDay` | `getEndDate()` Gets the end date.
`java.lang.String` | `getName()` Gets the name.
`java.lang.String` | `getNameSpace()` Gets the namespace.
`CalendarDay` | `getStartDate()` Gets the start date.
`void` | `setEndDate(CalendarDay endDate)` Sets the end date.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setNameSpace(java.lang.String nameSpace)` Sets the namespace value.
`void` | `setStartDate(CalendarDay startDate)` Sets the start date.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCalendarEntries

    public GetCalendarEntries(java.lang.String name,
                              java.lang.String nameSpace,
                              CalendarDay startDate,
                              CalendarDay endDate)

  Returns the entries from the identified Calendar that fall within the given date range.

  Parameters:
    `name` -
    `nameSpace` -
    `startDate` -
    `endDate` -

Method Detail

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set.

### getNameSpace

    public java.lang.String getNameSpace()

  Gets the namespace.

  Returns:
    Returns the nameSpace.

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  Sets the namespace value.

  Parameters:
    `nameSpace` - The nameSpace to set.

### getStartDate

    public CalendarDay getStartDate()

  Gets the start date.

  Returns:
    Returns the startDate.

### setStartDate

    public void setStartDate(CalendarDay startDate)

  Sets the start date.

  Parameters:
    `startDate` - The startDate to set.

### getEndDate

    public CalendarDay getEndDate()

  Gets the end date.

  Returns:
    Returns the endDate.

### setEndDate

    public void setEndDate(CalendarDay endDate)

  Sets the end date.

  Parameters:
    `endDate` - The endDate to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.